Bug 810063 - Timeout on gear up.
Timeout on gear up.
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 23:14 EDT by Mike McGrath
Modified: 2015-05-14 18:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 14:07:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2012-04-04 23:14:35 EDT
Description of problem:

While issuing a gear up.  Following error:

/usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:174:in `transmit': Request Timeout (RestClient::RequestTimeout)
        from /usr/lib/ruby/gems/1.8/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'
        from /usr/libexec/stickshift/cartridges/embedded/haproxy-1.4/info/bin/add-gear:43:in `initialize'
        from /usr/libexec/stickshift/cartridges/embedded/haproxy-1.4/info/bin/add-gear:100:in `new'
        from /usr/libexec/stickshift/cartridges/embedded/haproxy-1.4/info/bin/add-gear:100
Comment 1 Jhon Honce 2012-04-05 12:22:39 EDT
Current timeout is 2 minutes to scale up/down application. Asked Mike for opinion on new value.
Comment 2 Jhon Honce 2012-04-10 14:07:12 EDT
Broker guys feel 2 minute timeout is long enough.

Note You need to log in before you can comment on or make changes to this bug.